#ifndef CHARACTER_DATA_HPP
#define CHARACTER_DATA_HPP

#include "weapon_data.hpp"
#include <godot_cpp/classes/resource.hpp>

namespace godot {
class CharacterData : public Resource {
    GDCLASS(CharacterData, Resource);
    static void _bind_methods();
public:
    void set_weapon(Ref<WeaponData> weapon);
    Ref<WeaponData> get_weapon() const;
private:
    Ref<WeaponData> weapon;
};
}

#endif // !CHARACTER_DATA_HPP
